Subject: Re: bug#43381: 27.1.50; Maybe wrong cursor FG color in NS port

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Sep 2020 14:22:20 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Now you mention it, I can see that the X ports use the face colours as
>> > well...
>> >
>> > xterm.c:1518
>> >       xgcv.background = s->f->output_data.x->cursor_pixel;
>> >       xgcv.foreground = s->face->background;
>> >            ^               ^
>> 
>> Yeah, it looks like it's been like that since at least the 90s.  So...
>> the documentation is just wrong?
>
> Yes, the documentation is inaccurate: it describes what happens when
> the text at point uses the default face.  When the face is not the
> default, we merge that face into the cursor face, and that is what you
> see.
>
> We should fix the documentation.

Or should we fix the code?  As the example demonstrates, this makes some
of the inverse-blinked text difficult to read.  Presumably the colour
distance between the cursor and the default face's background is more
legible?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no